<?php
// $Horde: nag/config/prefs.php.dist,v 1.12.2.3 2002/10/15 15:13:43 jan Exp $

// Make sure that constants are defined.
require_once dirname(__FILE__) . '/../lib/constants.php';

$prefGroups['language'] = array(
    'column' => _("Your Information"),
    'label' => _("Language"),
    'desc' => _("Set the your preferred display language."),
    'members' => array('language'));

$prefGroups['display'] = array(
    'column' => _("Other Options"),
    'label' => _("Display Options"),
    'desc' => _("Change your task sorting and display options."),
    'members' => array('sortby', 'sortdir', 'summary_show_priorities', 'summary_show_due', 'show_completed'));

$prefGroups['category_management'] = array(
    'column'  => _("Other Options"),
    'label'   => _("Category Management"),
    'desc'    => _("Allows categories to be added/removed/renamed."),
    'members' => array('category_management'));


// user language
$_prefs['language'] = array(
    'value' => '',
    'locked' => false,
    'shared' => true,
    'type' => 'select',
    'desc' => _("Select your preferred language:")
);

// user preferred sorting column
$_prefs['sortby'] = array(
    'value' => NAG_SORT_PRIORITY,
    'locked' => false,
    'shared' => false,
    'type' => 'enum',
    'enum' => array(NAG_SORT_PRIORITY => _("Priority"),
                    NAG_SORT_NAME => _("Task Name"),
                    NAG_SORT_CATEGORY => _("Category"),
                    NAG_SORT_DUE => _("Due Date"),
                    NAG_SORT_COMPLETION => _("Completed?")),
    'desc' => _("Default sorting criteria:")
);

// user preferred sorting direction
$_prefs['sortdir'] = array(
    'value' => 0,
    'locked' => false,
    'shared' => false,
    'type' => 'enum',
    'enum' => array(NAG_SORT_ASCEND => _("Ascending"),
                    NAG_SORT_DESCEND => _("Descending")),
    'desc' => _("Default sorting direction:")
);

// show completed tasks?
$_prefs['show_completed'] = array(
    'value' => 1,
    'locked' => false,
    'shared' => false,
    'type' => 'checkbox',
    'desc' => _("Show completed tasks in the task list?")
);

// show priorities in summary?
$_prefs['summary_show_priorities'] = array(
    'value' => 1,
    'locked' => false,
    'shared' => false,
    'type' => 'checkbox',
    'desc' => _("Show priorities in the summary view?")
);

// show due dates in summary?
$_prefs['summary_show_due'] = array(
    'value' => 1,
    'locked' => false,
    'shared' => false,
    'type' => 'checkbox',
    'desc' => _("Show due dates in the summary view?")
);

// user task categories
$_prefs['task_categories'] = array(
    'value' => '1:Personal|2:Business',
    'locked' => false,
    'shared' => false,
    'type' => 'implicit'
);

// allow category management
$_prefs['category_management'] = array(
    'value' => '',
    'locked' => false,
    'shared' => false,
    'type' => 'special',
    'desc' => _("Category Management")
);
